- Main Page
- Classes
- Files
- Directories

- File List
- File Members

# CVector3d.h File Reference

`#include "CString.h"`
`#include "CConstants.h"`
`#include <math.h>`
`#include <ostream>`

## Classes
struct | cVector3d
| cVector3d represents a 3D vector with components X, Y and Z. More...
struct | cRay3D
| cRay3D represents a 3D vector with an origin. More...
struct | cSegment3D
| cSegment3D represents a line segment with a start and an end More...
## Functions
cVector3d | operator * (const cVector3d &v, const double a_input)
cVector3d | operator/ (const cVector3d &v, const double a_input)
cVector3d | operator * (const double a_input, const cVector3d &v)
cVector3d | operator+ (const cVector3d &v1, const cVector3d &v2)
cVector3d | operator- (const cVector3d &v1, const cVector3d &v2)
double | operator * (const cVector3d &v1, const cVector3d &v2)
static std::ostream & | operator<< (std::ostream &a_os, cVector3d const &a_vec)

## Detailed Description

## Function Documentation

double operator * | ( | const cVector3d & | v1,
|  | const cVector3d & | v2 |
| ) |  |  | `[inline]`

An overloaded * operator for vector/vector dotting

cVector3d operator * | ( | const double | a_input,
|  | const cVector3d & | v |
| ) |  |  | `[inline]`

An overloaded * operator for scalar/vector multiplication

cVector3d operator * | ( | const cVector3d & | v,
|  | const double | a_input |
| ) |  |  | `[inline]`

An overloaded * operator for vector/scalar multiplication

cVector3d operator+ | ( | const cVector3d & | v1,
|  | const cVector3d & | v2 |
| ) |  |  | `[inline]`

An overloaded + operator for vector/vector addition

cVector3d operator- | ( | const cVector3d & | v1,
|  | const cVector3d & | v2 |
| ) |  |  | `[inline]`

An overloaded - operator for vector/vector subtraction

cVector3d operator/ | ( | const cVector3d & | v,
|  | const double | a_input |
| ) |  |  | `[inline]`

An overloaded / operator for vector/scalar division

static std::ostream& operator<< | ( | std::ostream & | a_os,
|  | cVector3d const & | a_vec |
| ) |  |  | `[inline, static]`

ostream operator Outputs the vector's components seperated by commas